ImportExportPlugin Class Reference

`#include <ImportExportPlugin.h>`

## Public Member Functions

ApplicationWindow * | applicationWindow ()
virtual QStringList | exportFormats () const
virtual bool | exportGraph (Graph *, const QString &, const QSizeF &, int, double=1)
virtual bool | exportMatrix (Matrix *, const QString &, bool)
virtual bool | exportMultiLayerPlot (MultiLayer *, const QString &, const QSizeF &, int, double=1)
virtual bool | exportTable (Table *, const QString &, bool, bool, bool)
virtual Table * | import (const QString &, int=-1)
virtual QStringList | importFormats ()
void | setApplicationWindow (ApplicationWindow *app)
virtual | ~ImportExportPlugin ()

## Private Attributes

ApplicationWindow * | d_app

## Constructor & Destructor Documentation

## ~ImportExportPlugin()

virtual ImportExportPlugin::~ImportExportPlugin | ( |  | ) |

inline virtual

## Member Function Documentation

## applicationWindow()

ApplicationWindow* ImportExportPlugin::applicationWindow | ( |  | ) |

inline

## exportFormats()

virtual QStringList ImportExportPlugin::exportFormats | ( |  | ) | const

inline virtual

Referenced by ApplicationWindow::exportPlugin().

## exportGraph()

virtual bool ImportExportPlugin::exportGraph | ( | Graph * | ,
|  | const QString & | ,
|  | const QSizeF & | ,
|  | int | ,
|  | double | = `1`
| ) |  |

inline virtual

Referenced by Graph::exportEMF().

## exportMatrix()

virtual bool ImportExportPlugin::exportMatrix | ( | Matrix * | ,
|  | const QString & | ,
|  | bool |
| ) |  |

inline virtual

Referenced by Matrix::exportASCII(), Matrix::exportEMF(), and Matrix::exportExcel().

## exportMultiLayerPlot()

virtual bool ImportExportPlugin::exportMultiLayerPlot | ( | MultiLayer * | ,
|  | const QString & | ,
|  | const QSizeF & | ,
|  | int | ,
|  | double | = `1`
| ) |  |

inline virtual

Referenced by MultiLayer::exportEMF().

## exportTable()

virtual bool ImportExportPlugin::exportTable | ( | Table * | ,
|  | const QString & | ,
|  | bool | ,
|  | bool | ,
|  | bool |
| ) |  |

inline virtual

Referenced by Table::exportASCII(), and Table::exportExcel().

## import()

virtual Table* ImportExportPlugin::import | ( | const QString & | ,
|  | int | = `-1`
| ) |  |

inline virtual

Referenced by ApplicationWindow::importDatabase(), ApplicationWindow::importExcel(), ApplicationWindow::importOdfSpreadsheet(), and ApplicationWindow::importOPJ().

## importFormats()

virtual QStringList ImportExportPlugin::importFormats | ( |  | ) |

inline virtual

Referenced by ApplicationWindow::importPlugin().

## setApplicationWindow()

void ImportExportPlugin::setApplicationWindow | ( | ApplicationWindow * | app | ) |

inline

References d_app.

Referenced by ApplicationWindow::importOPJ(), and ApplicationWindow::loadPlugins().

## Member Data Documentation

## d_app

ApplicationWindow* ImportExportPlugin::d_app

private

Referenced by setApplicationWindow().

The documentation for this class was generated from the following file:

- qtiplot/src/core/ImportExportPlugin.h